# Class SkySys

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.SkySys

public class SkySys extends Object
Sky coordinate system definition. These are used to label the system in which sky coordinates are supplied or required by SkyDataGeom so that a transformation can be performed between them if required. It is not an all-singing all-dancing toolkit for sky coordinate system manipulation.

Since:
  20 Feb 2013
Author:
  Mark Taylor
See Also:
  - `SkyDataGeom`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SkySys`
`ECLIPTIC2000`
Ecliptic system, based on conversion at data 2000.0.
`static final SkySys`
`EQUATORIAL`
J2000 Equatorial sky system.
`static final SkySys`
`GALACTIC`
IAU 1958 Galactic sky system.
`static final SkySys`
`SUPERGALACTIC`
De Vaucouleurs supergalactic system.

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getCoordPair(uk.ac.starlink.table.ValueInfo[] infos)`
Tries to guess at a pair of columns from a given selection that represent the longitude, latitude coordinates in this sky system.
`static SkySys[]`
`getKnownSystems(boolean includeNull)`
Returns the list of known sky system instances.
`String`
`getLatitudeName()`
Returns the human-readable name for latitude.
`String`
`getLongitudeName()`
Returns the human-readable name for longitude.
`String`
`getSysDescription()`
Returns the description for this system.
`String`
`getSysName()`
Returns the name for this system.
`double[]`
`toEquatorial()`
Returns a rotation matrix to convert coordinates in this system to J2000 equatorial coordinates.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### EQUATORIAL

public static final SkySys EQUATORIAL
J2000 Equatorial sky system.

### GALACTIC

public static final SkySys GALACTIC
IAU 1958 Galactic sky system.

### SUPERGALACTIC

public static final SkySys SUPERGALACTIC
De Vaucouleurs supergalactic system.

### ECLIPTIC2000

public static final SkySys ECLIPTIC2000
Ecliptic system, based on conversion at data 2000.0. Probably not respectable.

## Method Details

### getSysName

public String getSysName()
Returns the name for this system.

Returns:
  name

### getSysDescription

public String getSysDescription()
Returns the description for this system.

Returns:
  description

### getLongitudeName

public String getLongitudeName()
Returns the human-readable name for longitude.

Returns:
  longitude coordinate name

### getLatitudeName

public String getLatitudeName()
Returns the human-readable name for latitude.

Returns:
  latitude coordinate name

### toEquatorial

public double[] toEquatorial()
Returns a rotation matrix to convert coordinates in this system to J2000 equatorial coordinates.

Returns:
  9-element rotation matrix

### getCoordPair

public int[] getCoordPair(uk.ac.starlink.table.ValueInfo[] infos)
Tries to guess at a pair of columns from a given selection that represent the longitude, latitude coordinates in this sky system.

Parameters:
  `infos` - array of metadata items for the available columns
Returns:
  2-element array giving indexes into `infos` array of lon,lat items, or null if attempt fails

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getKnownSystems

public static SkySys[] getKnownSystems(boolean includeNull)
Returns the list of known sky system instances.

Parameters:
  `includeNull` - true if null is to appear in the list
Returns:
  list of instances